
/* * {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}*/

body {
    background-image: url();
    background-repeat: no-repeat;
    background-attachment: fixed;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
    font-size: 12px; /*TAMAÑO DE LA LETRA DEL CHAT*/
    line-height: 12px;
}

.container {
    width: 1vw;
    height: 20vh;
    margin: 0 auto;
    position: relative;


}



.header {
    background: #ff5e01b7;
    padding: 5px;
    color: aliceblue;
    font-size: 10px;
}

.avail {
    font-size: 12px;
    padding: 0 20px;
    padding-right: 30px;
}

.avail::after {
    content: "";
    display: inline-block;
    background: rgb(4, 180, 4);
    width: 10px;
    height: 10px;
    margin: 0 3px;
    vertical-align: middle;
    border-radius: 50%;
}

.body {
    background: rgb(239, 239, 239);/*container*/
    height: 100%;
    width: 100%;
    overflow-y: auto;
}

input {
    height: 30px;/*TAMAÑO DEL INPUT*/
    width: 100%;
}

input[type="text"] {
    padding: 0 5px;
}

input[type="submit"] {
    height: 25px;
    border: 0;
    background: #ff5303;
    font-weight: 400;
    font-size: 14px;
    color: aliceblue;
    cursor: pointer;
}

.visible {
    display: block;
}

.none {
    display: none;
}

.me {
    color: white;
    font-family: Arial, Helvetica, sans-serif;
    width: 55%;
    height: auto;
    padding: 10px;
    margin: 5px;
    background-color: #ff6c32;/*COLOR DEL MENSAJE DEL USUARIO*/
    border-radius: 10px;
    float: right;
    text-align: right;
    display: block;
}

.alicia {
    color: white;
    font-family: Arial, Helvetica, sans-serif;
    width: 60%;
    height: auto;
    padding: 10px;
    margin: 5px;
    background-color: rgb(228, 103, 0); /*COLOR DE MENSAJE DEL CHAT*/
    border-radius: 10px;
    float: left;
    text-align: left;
    display: block;
}


/*TAMAÑO DEL ICONO DE USUARIO FVSOL*/
.imgRedonda {
    width: 20px;
    height: 20px;
    border-radius: 150px;
}

.creador {
    background-color: crimson;
    color: aliceblue;
    font-size: 16px;
    height: 20px;
    width: 80px
}







  /* ... Otros estilos ... */
  

  

  /*------------------------------*/



/* Estilo para el chatbox visible */
.chatbox-open {
    width: 300px;
    height: auto;
    position: fixed;
    top: 50px; /* Cambia la posición superior para dejar espacio al chat minimizado */
    right: 20px;
    transition: width 0.3s; /* Agrega una transición para el cambio de ancho */
}












/* Estilo para el icono de chat */
.chat-icon {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 50px;
    height: 50px;
    background-color: #fffcfa00;
    color: rgb(248, 194, 167);
    border-radius: 10%;
    text-align: center;
    line-height: 50px;
    cursor: pointer;
    z-index: 1000; /* Coloca el icono por encima de todo */
}

/* Estilo para el chatbox visible */
.chatbox {
    width: 300px;
    height:  300px;
    position: fixed;
    bottom: 147px; /* Ajusta la posición desde la parte inferior. SUBIR O BAJAR EL CHAT*/
    right: 20px;
    background: #ffffff;
    margin-top: 84px; /*subir o bajar el chat*/
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    z-index: 1000; /* Coloca el chatbox por encima de todo */
    transition: bottom 0.3s; /* Agrega transición de posición */
}

/* Estilo para el chatbox oculto */
.chatbox-hidden {
    display: none;
}




/* Estilo para el chatbox minimizado */
.chatbox-minimized {
    height: 50px; /* Altura del chat minimizado */
}


